Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "3a8816eb-3550-42ca-b4f4-86c589f511ff",
  "date_start": "2026-10-15T14:45:59.6170898+00:00",
  "date_end": "2026-10-15T14:45:59.6170898+00:00",
  "modified_dateutc": "2026-10-15T14:45:59.6170898+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "0b692427-7727-45ae-8db3-fd744fe219b9",
  "user_code": "sample string 8",
  "user": {
    "id": "0757b505-5cb5-4be3-839f-35700c133c0f",
    "db_language_id": "a71535ee-0a49-472d-8415-b6ad1af15765",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-15T14:45:59.6170898+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "88f5a2d8-f125-42a6-92d9-5526202ac245",
    "sales_organization": {
      "id": "9b0dbcbe-52d9-4dba-9cb6-7e3fcb8f5117",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "0f87830f-044a-4b0e-bb2d-7b3ba98a61c1",
      "db_currency_id": "67e1f1b8-e29c-4f1c-af4f-69e67d5c79c8",
      "db_language_id": "688b1b9f-e29f-44be-97e0-4ff6553a4815",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-15T14:45:59.6170898+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "470d04cc-0273-40c5-a67c-63dbf5878dbb",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "4d015f92-23e8-43a4-a027-8f92e0080eed",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-15T14:45:59.6170898+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "9cc20e91-ed76-4e67-a440-ffe4a18b7805"
  },
  "user_unavailability_type_id": "94f206e9-aaae-4fa3-8a67-0b748f091d1c",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "0d45ed69-cde4-41bf-9b7e-4213e80c879f",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "91bef886-27ba-406d-bbf5-c3a24065266d",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "9b0dbcbe-52d9-4dba-9cb6-7e3fcb8f5117",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "0f87830f-044a-4b0e-bb2d-7b3ba98a61c1",
      "db_currency_id": "67e1f1b8-e29c-4f1c-af4f-69e67d5c79c8",
      "db_language_id": "688b1b9f-e29f-44be-97e0-4ff6553a4815",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-15T14:45:59.6170898+00:00"
    },
    "modified_dateutc": "2026-10-15T14:45:59.6170898+00:00"
  }
}